Complete a sandbox payment
curl --request POST \
--url https://api.quentli.com/v1/sandbox/payments/{id}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"outcome": "SUCCEEDED"
}
}
'import requests
url = "https://api.quentli.com/v1/sandbox/payments/{id}/complete"
payload = { "input": { "outcome": "SUCCEEDED" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: {outcome: 'SUCCEEDED'}})
};
fetch('https://api.quentli.com/v1/sandbox/payments/{id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment": {
"id": "<string>",
"type": "CASH"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Sandbox
Complete a sandbox payment
Submits a pending CASH or TRANSFER payment to the sandbox webhook flow. This endpoint is unavailable in production.
POST
/
v1
/
sandbox
/
payments
/
{id}
/
complete
Complete a sandbox payment
Authorizations
Organization API key using Authorization: Bearer sk_....
Path Parameters
Identifier of the payment.
Body
application/json
Request body for completing a pending CASH or TRANSFER payment in sandbox.
Show child attributes
Show child attributes
Response
Sandbox payment submitted
Payment accepted for completion through the sandbox webhook flow.
Show child attributes
Show child attributes
Was this page helpful?